Subject: Re: problems about __cli()

From: Josh Huber <[email-masked]>
Date: Thu, 20 Jul 2000 08:55:51 -0400

On Thu, Jul 20, 2000 at 10:19:54AM +0100, Iain Sandoe wrote:
[snip]
> 
> It is *vital* to make sure that there is a symlink named 'linux' in /usr/src
> that points to your /usr/src/your-kernel-foo-bar/ because there are symlinks
> in /usr/include that expect to use this to find the build-specific headers.

A couple notes:

You don't have to put your kernel in /usr/src, and you DON'T have to
symlink /usr/src/linux to it before you build.  The symlinks (on
broken RedHat derivatives) in /usr/include should point to the kernel
headers that your libc was built againt, otherwise you risk breaking
binary compatibility.

-- 
Josh
6B21489A | GnuPG ID/Fingerprint | [email-masked] |
61F0 6138 BE7B FEBF A223  E9D1 BFE1 2065 6B21 489A